﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9
@EndOfDesignText@
Sub Class_Globals
	
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Panel
	Private mEdit As EditText
	
End Sub

Public Sub Initialize (callbackModule As Object, EventName As String)
	
	mCallBack 	= callbackModule
	mEventName 	= EventName
	
End Sub

Public Sub CreateUI(Base As Panel, x As Int, y As Int, w As Int, h As Int)
	
	Log($"Base ${Base.Left} ${Base.Top} ${Base.Width} ${Base.Height} Tag = ${mEventName}"$)
	addToParent(Base, x, y, w, h)
	
End Sub

Public Sub addToParent(parent As Panel, x As Int, y As Int, w As Int, h As Int)
	
	mBase = parent
	mBase.Tag = Me
	mBase.Color = Colors.Transparent
	
	CreateView(x, y, w, h)
	
End Sub

Private Sub CreateView(x As Int, y As Int, w As Int, h As Int)
	
	' EditText
	mEdit.Initialize("Edit")
	mEdit.Padding 	 = Array As Int(8dip, 8dip, 8dip, 8dip)
	mEdit.Tag 		 = mEventName
	mEdit.Text		 = ""
'	mEdit.TextColor  = Colors.Black
	mEdit.Hint  	 = "Enter Data"
	mEdit.HintColor  = Colors.Blue
	mEdit.TextSize   = 20
	mEdit.SingleLine = True
	
	setBackGround(Colors.Gray, 5dip, 1dip, Colors.Black)
	
	mBase.AddView(mEdit, x, y, w, h)
	
	Log($"mEdit ${mEdit.Left} ${mEdit.Top} ${mEdit.Width} ${mEdit.Height}"$)
	
End Sub

#Region Public Parameters And Methods

Public Sub getBase As Panel
	Return mBase
End Sub

Public Sub setBackGround(color As Int, borderRadius As Int, borderSize As Int, borderColor As Int)
	
	Dim cd As ColorDrawable
	cd.Initialize2(color, borderRadius, borderSize, borderColor)
	mEdit.Background = cd
	
End Sub

Public Sub setText(val As String)
	mEdit.Text = val
End Sub

Public Sub getText As String
	Return mEdit.Text
End Sub

Public Sub SetTextColor(val As Int)
	mEdit.TextColor = val
End Sub

Public Sub setHint(val As String)
	mEdit.Hint = val
End Sub

Public Sub getHint As String
	Return mEdit.Hint
End Sub

Public Sub setHintColor(val As Int)
	mEdit.HintColor = val
End Sub

Public Sub getHintColor As Int
	Return mEdit.HintColor
End Sub

Public Sub setTexSize(val As Int)
	mEdit.TextSize = val
End Sub

Public Sub setTextAlignCenter
	mEdit.Gravity = Bit.Or( Gravity.CENTER, Gravity.CENTER)
End Sub

Public Sub setTextAlignLeft
	mEdit.Gravity = Bit.Or( Gravity.LEFT, Gravity.CENTER)
End Sub

Public Sub setTextAlignRight
	mEdit.Gravity = Bit.Or( Gravity.RIGHT, Gravity.CENTER)
End Sub

#End Region